# dipy_fit_powermap

## Synopsis

Workflow for generating anisotropic powermap from diffusion data.

This workflow generates an anisotropic powermap as introduced by Dell’Acqua et al.[1]. The anisotropic powermap can be used as a pseudo-T1 for tissue classification when a T1 image is not available. The anisotropic powermap is computed by extracting the anisotropic power from the spherical harmonic coefficients.

## Usage

    dipy_fit_powermap [OPTIONS] input_files bvalues_files bvectors_files mask_files

## Input Parameters

- `input_files`

  Path to the input diffusion volumes. This path may contain wildcards to process multiple inputs at once.

- `bvalues_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `bvectors_files`

  Path to the bvectors files. This path may contain wildcards to use multiple bvectors files at once.

- `mask_files`

  Path to the input masks. This path may contain wildcards to use multiple masks at once.

## General Options

- `--shm_files`

  Path to the spherical harmonic coefficient files. This file may be a nifti file (shm.nii.gz) containing the SH coefficients or a pam file (`*.pam5`) containing the SH coefficients. (default: None)

- `--sh_order_max`

  Maximum spherical harmonic order. (default: 8)

- `--b0_threshold`

  Threshold used to find b0 volumes. (default: 50.0)

- `--bvecs_tol`

  Threshold used to check that norm(bvec) = 1 +/- bvecs_tol. (default: 0.01)

- `--norm_factor`

  The value to normalize the ap values. (default: 1e-05)

- `--power`

  The degree to which power maps are calculated. (default: 2)

- `--non_negative`

  Whether to rectify the resulting map to be non-negative. (default: True)

- `--smooth`

  The amount of smoothing to apply to the SH coefficients before computing the anisotropic powermap. This is a smoothing factor applied to the SH coefficients, which can help reduce noise in the resulting powermap. A value of 0.0 means no smoothing is applied. (default: 0.0)

- `--sh_basis`

  The spherical harmonic basis to use for the computation. (default: descoteaux07)

## Output Options

- `--out_dir`

  Output directory. Default is current directory. (default: current directory)

- `--out_powermap`

  Name of the anisotropic powermap volume to be saved. (default: powermap.nii.gz)

## References

[1]

Flavio Dell’Acqua, Luis Lacerda, Marco Catani, and Andrew Simmons. Anisotropic Power Maps: A diffusion contrast to reveal low anisotropy tissues from HARDI data. In Joint Annual Meeting ISMRM-ESMRMB 2014 SMRT 23rd Annual Meeting, volume. Milan, Italy, 2014. International Society for Magnetic Resonance in Medicine (ISMRM).

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.